
Installer - Feature #4030

Use librarian-puppet to build installer RPM

01/15/2014 09:08 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Foreman modules   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We should move to use librarian-puppet instead of submodules to build the installer RPM, probably consuming our published

modules from Puppet Forge.  This will let us pin modules according to semver in stable branches too, making it easier to make bug

fix releases.

We also need to make it easy for installer maintainers to release the modules if we're doing this (currently I do it by hand).  Probably

a short script in the installer repo or in each module to handle the release would work.  It could have the maintainer enter a version

number, get them to update the changelog, update the Modulefile, rebuild it, commit it and tag the repo, then upload the resulting

module.

Associated revisions

Revision 4f515d75 - 02/11/2014 12:21 PM - Dominic Cleal

fixes #4030 - build via librarian-puppet

Revision 80e59b2a - 02/12/2014 01:57 PM - Dominic Cleal

refs #4030 - use latest dependency modules from git, add mysql

History

#1 - 01/20/2014 12:33 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Dominic Cleal

- Target version set to 1.9.2

WIP: https://github.com/theforeman/foreman-installer/pull/94

A new release script was added in https://github.com/theforeman/foreman-installer/pull/93, and all installer modules on the Forge have been updated.

#2 - 02/06/2014 12:12 PM - Anonymous

- Target version changed from 1.9.2 to 1.9.1

#3 - 02/11/2014 01:52 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 4f515d75b54f9792b6dfe399873ab109914c7538.

#4 - 02/11/2014 01:59 PM - Dominic Cleal

- Status changed from Closed to Ready For Testing

- % Done changed from 100 to 0

- translation missing: en.field_release set to 4
https://github.com/theforeman/foreman-installer/pull/94
https://github.com/theforeman/foreman-installer/pull/93
https://projects.theforeman.org/projects/puppet-foreman/repository/installer/revisions/4f515d75b54f9792b6dfe399873ab109914c7538


#5 - 02/14/2014 10:40 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
